Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1934995

Summary: PHP 8 is not yet supported
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: swigAssignee: Jitka Plesnikova <jplesnik>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: besser82, jplesnik, vonsch
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: swig-4.0.2-5.fc35 swig-4.0.2-5.fc34 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-03-27 00:15:56 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1934996, 1934997, 1935612, 1935622, 1935626, 1935712    

Description Remi Collet 2021-03-04 07:44:11 UTC
swig 4.0.2 have no support for PHP 8

See
https://fedoraproject.org/wiki/Changes/php80

Upstream tracker
https://github.com/swig/swig/issues/1929


At least graphviz and mlt are affected

Comment 1 Jitka Plesnikova 2021-03-21 18:41:45 UTC
The upstream added the support of PHP 8. I will backport it asap.

Comment 2 Fedora Update System 2021-03-22 11:59:08 UTC
FEDORA-2021-3352d53fc5 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3352d53fc5

Comment 3 Fedora Update System 2021-03-23 02:00:50 UTC
FEDORA-2021-3352d53fc5 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3352d53fc5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3352d53fc5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-03-27 00:15:56 UTC
FEDORA-2021-3352d53fc5 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.